BASEDIR=/var/lib/machines
ID=$(uuidgen | tr -d -)
NAME=debian-live-cd-$ID
DIR=$BASEDIR/$NAME

echo "Generating container under $DIR"
zfs snapshot ztstor/ROOT/archie/var/lib/machines/buster-template@${ID}
zfs clone \
    -o mountpoint=$DIR \
    ztstor/ROOT/archie/var/lib/machines/buster-template@${ID} \
    ztstor/ROOT/archie/var/lib/machines/$NAME

mkdir $DIR/var/live-build/
rsync -av . $DIR/var/live-build/

# Execute stuff inside container
systemd-nspawn -q --pipe -D $DIR /bin/bash << EOF
apt update
apt install -y live-build binutils
cd /var/live-build/
lb clean --purge
lb config
lb build
EOF

echo ""
echo "---"
echo "Image lying under /var/lib/machines/$NAME"
#echo "Removing container..."
#zfs destroy ztstor/ROOT/archie/var/lib/machines/$NAME
